Get Vcenter Compute Item
Get information about the vCenter Server's compute object.
The ID of the pairing between this vSphere Replication server and the remote one.
The ID of the vCenter server
The ID of a vCenter Server's compute resource.
Information about the vCenter Server's compute object.
{
"id": "string",
"name": "string",
"path": "string",
"parent": "string",
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/vcenters/{vcenter_id}/inventory/compute/{compute_id}